#!/bin/sh
### Settings
DEFAULTSESSION=ssh
TERMINALTYPE=beterm
PREFIXTITLE=1
### Functions
echoattr () {
	RES=`catattr "$1" "$CFGFILE" 2>/dev/null`
	if [ X"$RES" != X ]; then
		RES=`echo "$RES" | cut -f3 -d: | sed 's/ [[whitespace]][[whitespace]]*/<TAB>/g' | sed 's/^[ ]*//' | sed 's/[ ]*$//'`
		echo "$RES"
	else
		if [ X"$2" != X ]; then
			echo "$2"
		fi
	fi
}

### Do the hokey-pokey
CFGFILE="$1"
HOST=`basename "$1"`
PARMS=""

IP=`echoattr "RS:IPaddress"`
if [ X"$IP" == X ]; then
	DEST=`echoattr "RS:Hostname" "$HOST"`
else
	DEST="$IP"
fi
SESSION=`echoattr "RS:Connection" "$DEFAULTSESSION" | tr '[A-Z]' '[a-z]'`
PREFIXTITLE=`echoattr "RS:PrefixTitle" $PREFIXTITLE`
if [ "$PREFIXTITLE" -ne 0 ]; then
	TITLE="$SESSION - $HOST"
else
	TITLE="$HOST"
fi
USER=`echoattr "RS:User"`
if [ X"$USER" != X -a $SESSION == "ssh" ]; then
	PARMS="-l $USER"
fi
export TERM=`echoattr "RS:TERM" "$TERMINALTYPE"`
echo -en "\033]2;$TITLE\007"
exec "$SESSION" $PARMS "$DEST"
