#!/bin/sh
scriptdir=`dirname $0`
mimeset $scriptdir/RemoteSession
btn=`alert --warning "Register mime type for \"RemoteSession Settings\"" "Yes" "No"`
if [ $btn == "Yes" ]; then
	APPSIG="application/x-vnd.LimestoneSoftware-rsconfig"
	PREFAPPSIG="application/x-vnd.LimestoneSoftware-RemoteSession"
	SHORTNAME="RemoteSession Settings"
	DEFATTROPTS="-attrViewable 1 -attrEditable 1"
	output=`setmime -add  $APPSIG -preferredAppSig $PREFAPPSIG -short  "$SHORTNAME" \
		-attribute "RS:Connection" -attrName "Connection Type" -attrWidth 75 -attrType CSTR $DEFATTROPTS \
		-attribute "RS:IPaddress" -attrName "IP Address" -attrWidth 90 -attrType CSTR $DEFATTROPTS \
		-attribute "RS:TERM" -attrName "Terminal Type" -attrWidth 80 -attrType CSTR $DEFATTROPTS \
		-attribute "RS:User" -attrName "Username" -attrWidth 50 -attrType CSTR $DEFATTROPTS \
		-attribute "RS:Hostname" -attrName "Hostname" -attrWidth 64 -attrType CSTR $DEFATTROPTS \
		-attribute "RS:PrefixTitle" -attrName "Prefix Title" -attrWidth 50 -attrType BOOL $DEFATTROPTS 2>&1`
	if [ X"$output" != X ]; then
		alert --info "Houston we have a problem: $output" "That sucks"
		exit 255
	else
		alert --info "Mime type successfully registered" "You rock!"
	fi
fi
